Package: network-manager-kde
Version: 1:0.9~svn1141976-1
Severity: normal


=== Update ===
I also believe that this bug is the same as KDE bug 209673:
https://bugs.kde.org/209673

I.e., the problem is in how knetworkmanager interacts with wpa_supplicant. 
knetworkmanager sends ca-certificates as is to wpa_supplicant (nm-applet 
converts them). So, if using a using a PEM encoded certificate, which cannot
be interpreted by wpa_supplicant, knetworkmanager will not be able to establish
the connection.




=== Work-around ===
I used the following commands to manually convert my PEM certificate to a DER
certificate (where I used AddTrust_External_Root as CERT):

$ mkdir ~/ca-cert
$ openssl x509 -inform PEM -in /etc/ssl/certs/CERT.pem -outform DER -out
~/ca-cert/CERT.der

Then I use the newly created cert-file, ~/ca-cert/CERT.der, as the CA 
Certificate
in knetworkmanager. (You might have to reboot as well.)

I am, at least, able to connect to the PEAP/MSCHAPv2 network "eduroam" at my 
university without any problems.





-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages network-manager-kde depends on:
ii  kdebase-runtime         4:4.4.5-1        runtime components from the offici
ii  knm-runtime             0.1~svn1141976-1 KDE NetworkManagement infrastructu
ii  libc6                   2.11.2-7         Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.4.5-8        GCC support library
ii  libkdecore5             4:4.4.5-1        the KDE Platform Core Library
ii  libkdeui5               4:4.4.5-1        the KDE Platform User Interface Li
ii  libqt4-dbus             4:4.6.3-4        Qt 4 D-Bus module
ii  libqt4-network          4:4.6.3-4        Qt 4 network module
ii  libqt4-svg              4:4.6.3-4        Qt 4 SVG module
ii  libqtcore4              4:4.6.3-4        Qt 4 core module
ii  libqtgui4               4:4.6.3-4        Qt 4 GUI module
ii  libsolid4               4:4.4.5-1        Solid Library for KDE Platform
ii  libsolidcontrol4        4:4.4.5-4        library for Solid based network ma
ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3

network-manager-kde recommends no packages.

network-manager-kde suggests no packages.

-- no debconf information



_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Reply via email to